/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira.drafts
 */
package net.ranides.assira.lambda;

import java.util.function.Function;
import net.ranides.assira.functional.EachFunction;
import net.ranides.assira.xml.XMLElement;

/**
 *
 * @author Ranides Atterwim <ranides@gmail.com>
 */
public class NewClass1<U> {
    
    public <A> void map(Function<U,A> action) {
        // do nothing
    }
    
    public <A> void map(EachFunction<U,A> action) {
        // do nothing
    }
    
    public static void main(String[] args) {
        NewClass1<XMLElement> z = new NewClass1<>();
        
        z.map(item -> "111");
        z.map((index, item) -> index+"."+item);
        z.map(e -> e.attrs());
        z.map(e -> e.text());
        z.map(e -> e.text("q"));
        
        z.map(Object::toString);
        z.map(XMLElement::attrs);
        z.map(XMLElement::name);
        
//        z.map(XMLElement::text);
        
    }
}
